<template>
  <div class='sign-in-view'>
    <SignInForm />
  </div>
</template>

<script>
import SignInForm from '@/components/SignInForm'

export default{
  components: { SignInForm },
  created() {
    // Redirect to root path if user is already logged in
    if (this.$store.getters.signedIn) {
      this.$router.push({ name: 'root' })
    }

    // disable active page for Navbar
    this.$store.dispatch('updateActivePage', '')
  }
}
</script>

<style lang="sass" scoped>
.sign-in-view
  height: 90%
</style>
